<?php
/**
 * 
 * @file channel.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/template.php');
require_once('class_channel.php');

$url = 'mod_channel/channel.php';
Common::checkAdminFileAuth($url); //check file authority
$clComChannel = new ComChannel();

$act = '';
if (isset($_GET['act'])) $act = $_GET['act'];

switch ($act) {
    case 'up':
    case 'down':
        $clComChannel -> orderbyRecords();
        break;
    case 'delete':
        $clComChannel -> deleteRecords();
        break;
} 

$clTemplate = new Template(getAdminTemplateDir($url));
$clComChannel -> layout_channel();

?>
